<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIO.CopyInfo</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>CopyInfo Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>


Namespace: KIO<br />
<h2>Detailed Description</h2>

<p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
FIXME: If this is internal, why is being used in a public signal below?
(aboutToCreate, see also konq_operations.h/cpp
</dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var196951980">ctime</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var181605900">linkDest</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var196951340">mtime</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var181606668">permissions</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top">KIO.filesize_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var196949804">size</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var181606636">uDest</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var181605612">uSource</a></td></tr></table>
<hr><h2>Attribute Documentation</h2><a class="anchor" name="var196951980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">time_t ctime</td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><p><a class="anchor" name="var181605900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> linkDest</td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><p><a class="anchor" name="var196951340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">time_t mtime</td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><p><a class="anchor" name="var181606668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">int permissions</td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><p><a class="anchor" name="var196949804"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">KIO.filesize_t size</td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><p><a class="anchor" name="var181606636"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> uDest</td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><p><a class="anchor" name="var181605612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> uSource</td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
